package com.hzya.frame.grpU8.nxproof.oerdjml.entity;

import com.alibaba.fastjson.annotation.JSONField;
import com.hzya.frame.grpU8.nxproof.gbizbsyrec.entity.GbiZbsyrecEntity;
import com.hzya.frame.grpU8.nxproof.oerdjjsfs.entity.OerDjjsfsEntity;
import com.hzya.frame.grpU8.nxproof.oerdjml.dto.FileInfoDTO;
import com.hzya.frame.grpU8.nxproof.oerdjnr.entity.OerDjnrEntity;
import com.hzya.frame.grpU8.nxproof.oeryszb.entity.OerYszbEntity;
import com.hzya.frame.web.entity.BaseEntity;
import lombok.*;

import java.util.List;

/**
 * @Author:hecan
 * @Description:费用报销报销明细总
 * @params:
 * @return:
 * @Date: 2023/6/16 21:49
 */
public class OerDjmlEntity extends BaseEntity {
    //流程类别 1、流程发起 2、流程撤销 3、流程终止 4、流程结束
    private String lclb;

    private String mlId;
    private String gsdm;//公司代码
    private String kjnd;//会计年度
    private String djlxId;
    private String zt;
    private String crerdm;//制单人代码
    private String crermc;//制单人名称
    private String crerdate;//日期
    private String flowcode;
    private String curshjd;
    private String nextshjd;
    private String shrs;
    private String shrId;
    private String shrq;
    private String jsfs;
    private String djbh;//单据号
    private String djdate;//单据日期
    private String fjs;//附件数
    private String bmdm;//部门代码
    private String bmmc;//部门名称
    private String grdm;//报销人代码
    private String grmc;//报销人名称
    private String tel;//联系电话
    private String yjje;//预借金额
    private String thje;//退还金额
    private String blje;//补领金额
    private String je;//报销金额
    private String whje;
    private String jedx;//金额大写
    private String zy;//摘要

    private String pzh;//凭证号
    private String fph;//发票号

    private byte[] RptRtContent;
    //项目代码
    private String xmdm;
    //项目名称
    private String xmmc;
    //经济代码
    private String jjdm;
    //经济名称
    private String jjmc;
    private String yhzh;//银行账户
    private String khyh;//开户银行
    //差旅费出差人
    private String clf_ccr;
    //出差类别
    private String clf_cclb;
    //送审日期
    private String ssrq;
    //送审人id
    private String ssrid;
    //送审人
    private String ssr;
    //经费类型代码
    private String jflxdm;
    //经费类型名称
    private String jflxmc;
    //附件对象
    @JSONField(ordinal = 9995)
    private List<FileInfoDTO> fileInfoList;
    @JSONField(ordinal = 9996)
    private List<OerDjnrEntity> oerDjnrEntityList;
    @JSONField(ordinal = 9997)
    private List<OerYszbEntity> oerYszbEntityList;
    @JSONField(ordinal = 9998)
    private List<OerDjjsfsEntity> oerDjjsfsEntityList;
    @JSONField(ordinal = 9999)
    private List<GbiZbsyrecEntity> gbiZbsyrecEntitylist;

    public String getMlId() {
        return mlId;
    }

    public void setMlId(String mlId) {
        this.mlId = mlId;
    }

    public String getGsdm() {
        return gsdm;
    }

    public void setGsdm(String gsdm) {
        this.gsdm = gsdm;
    }

    public String getKjnd() {
        return kjnd;
    }

    public void setKjnd(String kjnd) {
        this.kjnd = kjnd;
    }

    public String getDjlxId() {
        return djlxId;
    }

    public void setDjlxId(String djlxId) {
        this.djlxId = djlxId;
    }

    public String getZt() {
        return zt;
    }

    public void setZt(String zt) {
        this.zt = zt;
    }

    public String getCrerdm() {
        return crerdm;
    }

    public void setCrerdm(String crerdm) {
        this.crerdm = crerdm;
    }

    public String getCrermc() {
        return crermc;
    }

    public void setCrermc(String crermc) {
        this.crermc = crermc;
    }

    public String getCrerdate() {
        return crerdate;
    }

    public void setCrerdate(String crerdate) {
        this.crerdate = crerdate;
    }

    public String getFlowcode() {
        return flowcode;
    }

    public void setFlowcode(String flowcode) {
        this.flowcode = flowcode;
    }

    public String getCurshjd() {
        return curshjd;
    }

    public void setCurshjd(String curshjd) {
        this.curshjd = curshjd;
    }

    public String getNextshjd() {
        return nextshjd;
    }

    public void setNextshjd(String nextshjd) {
        this.nextshjd = nextshjd;
    }

    public String getShrs() {
        return shrs;
    }

    public void setShrs(String shrs) {
        this.shrs = shrs;
    }

    public String getShrId() {
        return shrId;
    }

    public void setShrId(String shrId) {
        this.shrId = shrId;
    }

    public String getShrq() {
        return shrq;
    }

    public void setShrq(String shrq) {
        this.shrq = shrq;
    }

    public String getJsfs() {
        return jsfs;
    }

    public void setJsfs(String jsfs) {
        this.jsfs = jsfs;
    }

    public String getDjbh() {
        return djbh;
    }

    public void setDjbh(String djbh) {
        this.djbh = djbh;
    }

    public String getDjdate() {
        return djdate;
    }

    public void setDjdate(String djdate) {
        this.djdate = djdate;
    }

    public String getFjs() {
        return fjs;
    }

    public void setFjs(String fjs) {
        this.fjs = fjs;
    }

    public String getBmdm() {
        return bmdm;
    }

    public void setBmdm(String bmdm) {
        this.bmdm = bmdm;
    }

    public String getBmmc() {
        return bmmc;
    }

    public void setBmmc(String bmmc) {
        this.bmmc = bmmc;
    }

    public String getGrdm() {
        return grdm;
    }

    public void setGrdm(String grdm) {
        this.grdm = grdm;
    }

    public String getGrmc() {
        return grmc;
    }

    public void setGrmc(String grmc) {
        this.grmc = grmc;
    }

    public String getTel() {
        return tel;
    }

    public void setTel(String tel) {
        this.tel = tel;
    }

    public String getYjje() {
        return yjje;
    }

    public void setYjje(String yjje) {
        this.yjje = yjje;
    }

    public String getThje() {
        return thje;
    }

    public void setThje(String thje) {
        this.thje = thje;
    }

    public String getBlje() {
        return blje;
    }

    public void setBlje(String blje) {
        this.blje = blje;
    }

    public String getJe() {
        return je;
    }

    public void setJe(String je) {
        this.je = je;
    }

    public String getWhje() {
        return whje;
    }

    public void setWhje(String whje) {
        this.whje = whje;
    }

    public String getJedx() {
        return jedx;
    }

    public void setJedx(String jedx) {
        this.jedx = jedx;
    }

    public String getZy() {
        return zy;
    }

    public void setZy(String zy) {
        this.zy = zy;
    }

    public String getPzh() {
        return pzh;
    }

    public void setPzh(String pzh) {
        this.pzh = pzh;
    }

    public String getFph() {
        return fph;
    }

    public void setFph(String fph) {
        this.fph = fph;
    }

    public byte[] getRptRtContent() {
        return RptRtContent;
    }

    public void setRptRtContent(byte[] rptRtContent) {
        RptRtContent = rptRtContent;
    }

    public String getLclb() {
        return lclb;
    }

    public void setLclb(String lclb) {
        this.lclb = lclb;
    }
    public String getXmdm() {
        return xmdm;
    }

    public void setXmdm(String xmdm) {
        this.xmdm = xmdm;
    }

    public String getXmmc() {
        return xmmc;
    }

    public void setXmmc(String xmmc) {
        this.xmmc = xmmc;
    }

    public String getJjdm() {
        return jjdm;
    }

    public void setJjdm(String jjdm) {
        this.jjdm = jjdm;
    }

    public String getJjmc() {
        return jjmc;
    }

    public void setJjmc(String jjmc) {
        this.jjmc = jjmc;
    }

    public String getYhzh() {
        return yhzh;
    }

    public void setYhzh(String yhzh) {
        this.yhzh = yhzh;
    }

    public String getKhyh() {
        return khyh;
    }

    public void setKhyh(String khyh) {
        this.khyh = khyh;
    }

    public String getClf_ccr() {
        return clf_ccr;
    }

    public void setClf_ccr(String clf_ccr) {
        this.clf_ccr = clf_ccr;
    }

    public String getSsrq() {
        return ssrq;
    }

    public void setSsrq(String ssrq) {
        this.ssrq = ssrq;
    }

    public String getSsrid() {
        return ssrid;
    }

    public void setSsrid(String ssrid) {
        this.ssrid = ssrid;
    }

    public String getSsr() {
        return ssr;
    }

    public void setSsr(String ssr) {
        this.ssr = ssr;
    }

    public List<OerDjjsfsEntity> getOerDjjsfsEntityList() {
        return oerDjjsfsEntityList;
    }

    public void setOerDjjsfsEntityList(List<OerDjjsfsEntity> oerDjjsfsEntityList) {
        this.oerDjjsfsEntityList = oerDjjsfsEntityList;
    }

    public List<GbiZbsyrecEntity> getGbiZbsyrecEntitylist() {
        return gbiZbsyrecEntitylist;
    }

    public void setGbiZbsyrecEntitylist(List<GbiZbsyrecEntity> gbiZbsyrecEntitylist) {
        this.gbiZbsyrecEntitylist = gbiZbsyrecEntitylist;
    }

    public List<OerDjnrEntity> getOerDjnrEntityList() {
        return oerDjnrEntityList;
    }

    public void setOerDjnrEntityList(List<OerDjnrEntity> oerDjnrEntityList) {
        this.oerDjnrEntityList = oerDjnrEntityList;
    }

    public List<OerYszbEntity> getOerYszbEntityList() {
        return oerYszbEntityList;
    }

    public void setOerYszbEntityList(List<OerYszbEntity> oerYszbEntityList) {
        this.oerYszbEntityList = oerYszbEntityList;
    }

    public List<FileInfoDTO> getFileInfoList() {
        return fileInfoList;
    }

    public void setFileInfoList(List<FileInfoDTO> fileInfoList) {
        this.fileInfoList = fileInfoList;
    }

    public String getClf_cclb() {
        return clf_cclb;
    }

    public void setClf_cclb(String clf_cclb) {
        this.clf_cclb = clf_cclb;
    }

    public String getJflxdm() {
        return jflxdm;
    }

    public void setJflxdm(String jflxdm) {
        this.jflxdm = jflxdm;
    }

    public String getJflxmc() {
        return jflxmc;
    }

    public void setJflxmc(String jflxmc) {
        this.jflxmc = jflxmc;
    }
}
